# -*- coding: utf-8 -*-
"""
/***************************************************************************
 beeJournal
                                 A QGIS plugin
 Il plugin mi permtte di creare un layer a cui viene associato un file per scrivere le note riguardanti il layer stesso. I punti associati al layer fanno riferimento allo stesso file.
                             -------------------
        begin                : 2017-02-27
        copyright            : (C) 2017 by Vincenzo Suanno
        email                : vincenzonove@tiscali.it
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""
def name():
  return "BeeJournal"

def description():
  return "Il plugin permette la creazione di un layer a cui viene collegato un file all'interno del quale è possibile scrivere note sul layer stesso.I punti associati al layer in questione faranno riferimento allo stesso file."

def version():
  return "Versione 0.1"

def qgisMinimumVersion():
  return "2.0"

def authorName():
  return "Vincenzo Suanno"

def classFactory(iface):
  # carica la classe beeJournal dal file bee_journal.py
  from .bee_journal import beeJournal
  return beeJournal(iface)

